Get district by ID
Retrieve detailed information about a specific district
Authorization
ApiKeyAuth Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.
In: header
Path Parameters
Unique identifier of the district
1 <= lengthQuery Parameters
Language for the response (en or km)
"en"Value in
- "en"
- "km"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/districts/ec93b3cc-fe27-48e9-28b7-0d00dc3251d0?lang=en"{ "statusCode": 200, "data": { "id": "ec93b3cc-fe27-48e9-28b7-0d00dc3251d0", "name": "Khan Chamkar Mon", "type": "khan", "postal_code_prefix": "1201", "postal_code_range": "12010101-12011207", "province_id": "d7d40ac2-e96f-5977-aa27-a0c99bff6710", "province_name": "Phnom Penh Capital", "total_communes": 5, "total_villages": 40 }, "metadata": { "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035" }}